from torchvision import models
from thop import profile
import torch
def count(model_name,q,w,e,r):
    print(model_name)

    model = models.__dict__[model_name]()
    # model = resnet18()
    input = torch.randn(q, w, e, r)

    macs, params = profile(model, inputs=(input, ))
    print('flops: %.2f M, params: %.2f M' % (macs / 1000000.0, params / 1000000.0))
    return (macs, params)
    # macs, params = clever_format([macs, params], "%.3f")